IF (NOT WIN32)
	FIND_PATH(Argtable2_INCLUDE_DIR argtable2.h /usr/include 
	                                            /usr/local/include)
												
	FIND_LIBRARY(Argtable2_LIBRARY NAMES argtable2 PATH /usr/lib 
	                                                 /usr/local/lib) 
ELSE (NOT WIN32)
	FIND_PATH(Argtable2_INCLUDE_DIR argtable2.h C:/msys/1.0/local/include/)											
	FIND_LIBRARY(Argtable2_LIBRARY NAMES argtable2 C:/msys/1.0/local/lib/)
ENDIF (NOT WIN32)													 

IF (Argtable2_INCLUDE_DIR)
   MESSAGE("-- found argtable2 include dir: ${Argtable2_INCLUDE_DIR}")
ELSE (Artable2_INCLUDE_DIR)
    MESSAGE(FATAL_ERROR "Could not find argtable2 include directory. Please install argtable2 "
                        "and re-run the configuration script or manually "
                        "set the Argtable2_INCLUDE_DIR to the full path of "
                        "the include directory, using the ccmake user interface")
    EXIT()
ENDIF (Argtable2_INCLUDE_DIR)

IF (Argtable2_LIBRARY)
   MESSAGE("-- found argtable2 library: ${Argtable2_LIBRARY}")
ELSE (Argtable2_LIBRARY)
    MESSAGE(FATAL_ERROR "Could not find argtable2 library. Please install argtable2 "
                        "and re-run the configuration script or manually "
                        "set the Argtable2_LIBRARY to the full path "
                        "of the argable2 library file using the ccmake user interface")
    EXIT()
ENDIF (Argtable2_LIBRARY)

