/*
 *  kernels_config.h
 *  
 *
 *
 */

// ****************************  FOR SINGLE  ***************************** //

#define CUKR_SDOT_CTAS  16//256
#define CUKR_SDOT_THREADS 1

// -------------------------------------------------------------- //

#define CUKR_SAXPY_CTAS  16// 4 //CPU
#define CUKR_SAXPY_THREADS 1// 1 //CPU //1216

// -------------------------------------------------------------- //

#define CUKR_SAYPX_CTAS  16//256
#define CUKR_SAYPX_THREADS 1//1216

// -------------------------------------------------------------- //

#define CUKR_SSCAL_CTAS  16//96
#define CUKR_SSCAL_THREADS 1

// -------------------------------------------------------------- //

#define CUKR_SSPMV_CSR_CTAS  16//4160
#define CUKR_SSPMV_CSR_THREADS 1//512

// -------------------------------------------------------------- //

#define CUKR_SSPMV_CSR4_CTAS   16//4160
#define CUKR_SSPMV_CSR4_THREADS 1//512

// ****************************  FOR DOUBLE  ***************************** //

#define CUKR_DDOT_CTAS  16//256
#define CUKR_DDOT_THREADS 1

// -------------------------------------------------------------- //

#define CUKR_DAXPY_CTAS  16
#define CUKR_DAXPY_THREADS 1//1216

// -------------------------------------------------------------- //

#define CUKR_DAYPX_CTAS  16
#define CUKR_DAYPX_THREADS 1//1216

// -------------------------------------------------------------- //

#define CUKR_DSCAL_CTAS  16//96
#define CUKR_DSCAL_THREADS 1

// -------------------------------------------------------------- //

#define CUKR_DSPMV_CSR_CTAS  16//4160
#define CUKR_DSPMV_CSR_THREADS 1//512

// -------------------------------------------------------------- //

#define CUKR_DSPMV_CSR4_CTAS  16//4160
#define CUKR_DSPMV_CSR4_THREADS 1//512

// *************************  FOR SINGLE-DOUBLE  ************************** //

#define CUKR_QDOT_CTAS  16//256
#define CUKR_QDOT_THREADS 1//64 

// -------------------------------------------------------------- //

#define CUKR_QAXPY_CTAS  16
#define CUKR_QAXPY_THREADS 1

// -------------------------------------------------------------- //

#define CUKR_QAYPX_CTAS  16
#define CUKR_QAYPX_THREADS 1

// -------------------------------------------------------------- //

#define CUKR_QSCAL_CTAS  16
#define CUKR_QSCAL_THREADS 1

// -------------------------------------------------------------- //

#define CUKR_QSPMV_CSR_A1_CTAS  16//4160
#define CUKR_QSPMV_CSR_A1_THREADS 1//512

#define CUKR_QSPMV_CSR_CTAS  16//4160
#define CUKR_QSPMV_CSR_THREADS 1//512

// -------------------------------------------------------------- //

#define CUKR_QSPMV_CSR4_CTAS  16
#define CUKR_QSPMV_CSR4_THREADS 1//512

// -------------------------------------------------------------- //

