/**
 * @file init/init_cuda.h
 * @author Serban Georgescu
 * @since 2008
 * 
 * The cuda-related initializations are
 * writen here, so that this file can be
 * compiled using the C++ compiler. 
 */

// ------------------------------------------------------------------- //

/**
 * \brief Do CUDA-related initializations and
 *        return the no. of GPUs in the system
 */
#ifdef __cplusplus
extern "C"
#endif 
int CukrInit_Cuda_cu();
