/**
 * @file kernel_dbl_to_sng.h
 * @author Serban Georgescu
 * @since 2009
 * 
 * Defines a copy kernel.
 * 
 * The kernel copies a double precision data
 * vector to a quasi-double precision data vector.
 * 
 */
 
#include "kernels_config.h"
/*
#ifndef _BX_TX
	#define _BX_TX
	#define tx          threadIdx.x 
	#define bx          blockIdx.x
#endif

extern __shared__ double shared_d[];

__global__ void kernel_dbl_to_sng(const double *d_x, 
                                        float  *d_y,
                                  const int     n)
{	
	int i;
				
	// Alloc shared memory
	double *buffer = shared_d; 
	
	// Starting point for this block
	int ctaStart = bx * CUKR_COPY_DBL_SNG_THREADS; 
	// Total no. of threads in the kernel
	int totalThreads = CUKR_COPY_DBL_SNG_CTAS * CUKR_COPY_DBL_SNG_THREADS;
	
	// Read and write the data 
	for (i = ctaStart + tx; i < n; i += totalThreads)
	{  
		// Prefetch x
		buffer[tx] = d_x[i];
		
		// Write		 	 
		d_y[i] = buffer[tx];
	}  
	 
}
*/
