/**
 * @file utils/utils_cuda.h
 * @author Serban Georgescu
 * @since 2008
 * 
 * Defines various functions, useful
 * throughout the implementation
*/

#ifndef CUKR_UTILS_CUDA_H_
#define CUKR_UTILS_CUDA_H_

/**
 * \brief Wrapper for the cudaSetDevice 
 *        function
 * \param gpuid The id of the GPU to set
 */
#ifdef __cplusplus
extern "C"
#endif 
void CukrSetDevice_cu(int gpuid);

// ------------------------------------------------------------------- //


#endif /* CUKR_UTILS_CUDA_H_ */

