#
# Find the Intel guide library in the system
#

# This module defines
# Guide_LIBRARY, the libraries to link agains MKL
# FOUND_Guide, if false, do not try to use MKL

# Set the base of the intel compiled folder from
# the intel compiler path, replacing bin with lib
FIND_PATH(ICC_PATH icc)
IF (ICC_PATH)
    STRING(REGEX REPLACE "bin" "lib" ICC_LIB_DIRECTORY ${ICC_PATH})       
ENDIF (ICC_PATH)

# Find include and library pathes
FIND_LIBRARY(Guide_LIBRARY guide ${ICC_LIB_DIRECTORY}
								 $ENV{MKLROOT}/../../lib)								 
IF (Guide_LIBRARY)
   MESSAGE ("-- Found guide librariy: " ${Guide_LIBRARY})
   SET (FOUND_Guide ${Guide_LIBRARY})
ENDIF (Guide_LIBRARY)    

