FIND_PATH(LOG4C_INCLUDE_DIR log4c.h /usr/include 
                                    /usr/local/include 
                                    /usr/local/include/log4c)
FIND_LIBRARY(LOG4C_LIBRARY NAMES log4c PATH /usr/lib 
                                            /usr/local/lib) 

IF (LOG4C_INCLUDE_DIR)
   MESSAGE(STATUS "Found log4c include dir: ${LOG4C_INCLUDE_DIR}")
ELSE (LOG4C_INCLUDE_DIR)
    MESSAGE(FATAL_ERROR "Could not find log4c include directory. Please install log4c "
                        "and re-run the configuration script or manually "
                        "set the LOG4C_INCLUDE_DIR to the full path of the "
                        "the include directory, using the ccmake user interface")
    EXIT()
ENDIF (LOG4C_INCLUDE_DIR)

IF (LOG4C_LIBRARY)
   MESSAGE(STATUS "Found log4c library: ${LOG4C_LIBRARY}")
ELSE (LOG4C_LIBRARY)
    MESSAGE(FATAL_ERROR "Could not find log4c library. Please install log4c "
                        "and re-run the configuration script or manually "
                        "set the LOG4C_LIBRARY to the full path "
                        "of the log4c library file using the ccmake user interface")
    EXIT()
ENDIF (LOG4C_LIBRARY)

