/**
 * @file blas/gpu/cuda/kernels_config.h
 * @author Serban Georgescu
 * @since 2008
 * 
 * Contains configuration stuff for the
 * CUDA kernels (e.g. threads, blocks, etc).
 * 
 */ 

#ifndef KERNELS_CONFIG_H_
#define KERNELS_CONFIG_H_

/*
 * Decide which configurations to include
 * depending on GPU type 
 */
 
//#ifdef CUKR_GPU_TYPE_G80
//	#include "kernels_config_G80.h"
	#include "kernels_config_GT200.h"
//#else
//	#include "kernels_config_emulation.h"
//#endif		 


#endif /*KERNELS_CONFIG_H_*/
