/*
 *  kernels_config.h
 *  
 *
 *
 */

// ****************************  FOR SINGLE  ***************************** //

#define CUKR_SDOT_CTAS  64//256
#define CUKR_SDOT_THREADS 128

// -------------------------------------------------------------- //

#define CUKR_SAXPY_CTAS  256// 4 //CPU
#define CUKR_SAXPY_THREADS 192// 1 //CPU //128

// -------------------------------------------------------------- //

#define CUKR_SAYPX_CTAS  64//256
#define CUKR_SAYPX_THREADS 160//128

// -------------------------------------------------------------- //

#define CUKR_SSCAL_CTAS  128//96
#define CUKR_SSCAL_THREADS 128

// -------------------------------------------------------------- //

#define CUKR_SSPMV_CSR_CTAS  240//480
#define CUKR_SSPMV_CSR_THREADS 128//512

// -------------------------------------------------------------- //

#define CUKR_SSPMV_CSR4_CTAS   128//480
#define CUKR_SSPMV_CSR4_THREADS 128//512

// ****************************  FOR DOUBLE  ***************************** //

#define CUKR_DDOT_CTAS  64//256
#define CUKR_DDOT_THREADS 128

// -------------------------------------------------------------- //

#define CUKR_DAXPY_CTAS  256
#define CUKR_DAXPY_THREADS 192//128

// -------------------------------------------------------------- //

#define CUKR_DAYPX_CTAS  256
#define CUKR_DAYPX_THREADS 192//128

// -------------------------------------------------------------- //

#define CUKR_DSCAL_CTAS  128//96
#define CUKR_DSCAL_THREADS 128

// -------------------------------------------------------------- //

#define CUKR_DSPMV_CSR_CTAS  240//480
#define CUKR_DSPMV_CSR_THREADS 128//512

// -------------------------------------------------------------- //

#define CUKR_DSPMV_CSR4_CTAS  128//480
#define CUKR_DSPMV_CSR4_THREADS 128//512

// *************************  FOR SINGLE-DOUBLE  ************************** //

#define CUKR_QDOT_CTAS  64//256
#define CUKR_QDOT_THREADS 128//64 

// -------------------------------------------------------------- //

#define CUKR_QAXPY_CTAS  256
#define CUKR_QAXPY_THREADS 192

// -------------------------------------------------------------- //

#define CUKR_QAYPX_CTAS  256
#define CUKR_QAYPX_THREADS 192

// -------------------------------------------------------------- //

#define CUKR_QSCAL_CTAS  256
#define CUKR_QSCAL_THREADS 128

// -------------------------------------------------------------- //

#define CUKR_QSPMV_CSR_A1_CTAS  240//480
#define CUKR_QSPMV_CSR_A1_THREADS 128//512

#define CUKR_QSPMV_CSR_CTAS  240//480
#define CUKR_QSPMV_CSR_THREADS 128//512

// -------------------------------------------------------------- //

#define CUKR_QSPMV_CSR4_CTAS  480
#define CUKR_QSPMV_CSR4_THREADS 256//512

// -------------------------------------------------------------- //

