/**
 * @file cukr_all.h
 * @author Serban Georgescu
 * @since 2008
 *
 * Contains the interface to all CUKr functionality.
 * 
 * Here we link to all necessary headers so that the
 * user need only link to this header.
 * 
 */
#ifndef CUKR_ALL_H_
#define CUKR_ALL_H_

#include "cukr.h"
#include "db/db.h"
#include "blas/blas1.h"
#include "blas/blas2.h"
#include "blasx/blasx1.h"
#include "solvers/solver.h"
#include "init/init.h"
#include "util/log.h"
#include "util/utils.h"
#include "final/final.h"
 
#endif /*CUKR_ALL_H_*/
