/**
 * @file mat_vec/sp/bhyb/bhyb_matrix_sp_io.c
 * @author Serban Georgescu
 * @since 2008
 *
 * File IO functionality for matrices
 * in BHYB format
 */

#define LOGGER_NAME "CUKr.mat_vec.sp.bhyb.bhyb_matrix_sp_io"

#include <stdio.h>
#include <stdlib.h>
#include "../../../util/log.h"

#include "bhyb_matrix_sp.h"

/**
 * \brief Loads a BHYB matrix from a BHYB file.
 * \param mat The matrix in which data is being read
 * \param filename The file where the data is
 *        being read from
 */
void CukrBhybMatspCreateFromFile(CUKR_MATRIX_SP mat, const char *filename)
{
	CUKR_FATAL("CukrBhybMatspCreateFromFile has not been implemented yet");
}

// ------------------------------------------------------------------- //


