/**
 * @file mat_vec/sp/bcsr/bcsr_matrix_sp_io.c
 * @author Serban Georgescu
 * @since 2008
 *
 * File IO functionality for matrices
 * in BCSR format
 */

#define LOGGER_NAME "CUKr.mat_vec.sp.hyb.hyb_matrix_sp_io"

#include <stdio.h>
#include <stdlib.h>
#include "../../../util/log.h"

#include "hyb_matrix_sp.h"

/**
 * \brief Loads a BCSR matrix from a BCSR file.
 * \param mat The matrix in which data is being read
 * \param filename The file where the data is
 *        being read from
 */
void CukrHybMatspCreateFromFile(CUKR_MATRIX_SP mat, const char *filename)
{
	CUKR_FATAL("CukrHybMatspCreateFromFile has not been implemented yet");
}

// ------------------------------------------------------------------- //


