/**
 * @file kernel_dbl_to_sng.h
 * @author Serban Georgescu
 * @since 2009
 * 
 * Defines a copy kernel.
 * 
 * The kernel copies a quasi-double precision data
 * vector to a double precision data vector.
 * 
 */
 
#include "kernels_config.h"
/*
#ifndef _BX_TX
	#define _BX_TX
	#define tx          threadIdx.x 
	#define bx          blockIdx.x
#endif

extern __shared__ float shared_f[];

__global__ void kernel_qdbl_to_dbl(const float   *d_xh, 
							 	   const float   *d_xt,
                                         double  *d_y, 
                                   const int     n)
{	
	int i;
				
	// Alloc shared memory 
	float *buffer_h = &shared_f[0];
	float *buffer_t = &shared_f[CUKR_COPY_QDBL_DBL_THREADS]; 
	
	// Starting point for this block
	int ctaStart = bx * CUKR_COPY_QDBL_DBL_THREADS; 
	// Total no. of threads in the kernel
	int totalThreads = CUKR_COPY_QDBL_DBL_CTAS * CUKR_COPY_QDBL_DBL_THREADS;
	
	// Read and write the data
	for (i = ctaStart + tx; i < n; i += totalThreads)
	{  
		// Prefetch x and y
		buffer_h[tx] = d_xh[i];
		buffer_t[tx] = d_xt[i];
		
		// Write 	 
		d_y[i] = buffer_h[tx] + buffer_t[tx];
	}  
	 
}

*/